
SHELL=/bin/bash
DIRS= $(wildcard kmemprof-*)

all: $(DIRS)
	-mkdir modules
	for i in $?; \
	do make -C $$i all; \
	cp $$i/$$i.o modules; \
	done

clean: $(DIRS)
	for i in $?; \
	do make -C $$i clean; \
	done
	-rm modules/*
	-rm bin/*~ doc/*~ *~

